<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Shopping list example</title>
    <style>
        li {
            margin-bottom: 10px;
        }

        li button {
            font-size: 8px;
            margin-left: 20px;
            color: #666;
        }
    </style>
</head>

<body>

    <h1>Ma liste de course</h1>

    <div>
        <label for="item">Entrer un nouvel article :</label>
        <input type="text" name="item" id="item">
        <button>Ajouter</button>
    </div>

    <ul>

    </ul>

    <script>
        const liste = document.querySelector('ul');
        const champ = document.querySelector('input');
        const bouton = document.querySelector('button');
        
        bouton.onclick = function(){
                let article = champ.value;
                champ.value = '';
            const item = document.createElement('li');
            const span = document.createElement('span');
            const boutonItem = document.createElement('button');

            // Attachez le <span> et le <button> comme enfants de <li>.
            // Définissez <span> comme égal à la valeur du champ que vous avez récupéré précédemment, et le contenu du bouton à "Supprimer".
            span.textContent = article; // permet d'ajouter la <span> dans notre liste <ul>
            item.appendChild(span); // <li> deviens enfant de <span>

            boutonItem.textContent = 'supprimer';
            item.appendChild(boutonItem);
            // Attachez l'article <li> comme enfant de la liste.
            liste.appendChild(item);
            // Ajoutez un gestionnaire d'événement au bouton "Supprimer", de façon à ce que lorsqu'on le clique le <li> dans lequel il se situe soit supprimé.
            boutonItem.onclick = function(){
                liste.removeChild(item);
            }
            champ.focus();
        }
    </script>
</body>

</html>


